avro

## Class FullName

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - avro.FullName

- All Implemented Interfaces:
    Comparable<SpecificRecord>, GenericContainer, GenericRecord, IndexedRecord, SpecificRecord

      public class FullName
      extends SpecificRecordBase
      implements SpecificRecord

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FullName.Builder` RecordBuilder for FullName instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `first` Deprecated.
    `String` | `last` Deprecated.
    `static Schema` | `SCHEMA$`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullName()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(int field$)`
    `String` | `getFirst()` Gets the value of the 'first' field.
    `String` | `getLast()` Gets the value of the 'last' field.
    `Schema` | `getSchema()`
    `static FullName.Builder` | `newBuilder()` Creates a new FullName RecordBuilder
    `static FullName.Builder` | `newBuilder(FullName.Builder other)` Creates a new FullName RecordBuilder by copying an existing Builder
    `static FullName.Builder` | `newBuilder(FullName other)` Creates a new FullName RecordBuilder by copying an existing FullName instance
    `void` | `put(int field$, Object value$)`
    `void` | `setFirst(String value)` Sets the value of the 'first' field.
    `void` | `setLast(String value)` Sets the value of the 'last' field.

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, equals, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA$

          public static final Schema SCHEMA$

    - #### first

          @Deprecated
          public String first

      Deprecated.

    - #### last

          @Deprecated
          public String last

      Deprecated.

  - ### Constructor Detail

    - #### FullName

          public FullName()

  - ### Method Detail

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `GenericContainer`
      Specified by:
        `getSchema` in class `SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Specified by:
        `get` in interface `IndexedRecord`
      Specified by:
        `get` in class `SpecificRecordBase`

    - #### put

          public void put(int field$,
                 Object value$)

      Specified by:
        `put` in interface `IndexedRecord`
      Specified by:
        `put` in class `SpecificRecordBase`

    - #### getFirst

          public String getFirst()

      Gets the value of the 'first' field.

    - #### setFirst

          public void setFirst(String value)

      Sets the value of the 'first' field.
      Parameters:
        `value` - the value to set.

    - #### getLast

          public String getLast()

      Gets the value of the 'last' field.

    - #### setLast

          public void setLast(String value)

      Sets the value of the 'last' field.
      Parameters:
        `value` - the value to set.

    - #### newBuilder

          public static FullName.Builder newBuilder()

      Creates a new FullName RecordBuilder

    - #### newBuilder

          public static FullName.Builder newBuilder(FullName.Builder other)

      Creates a new FullName RecordBuilder by copying an existing Builder

    - #### newBuilder

          public static FullName.Builder newBuilder(FullName other)

      Creates a new FullName RecordBuilder by copying an existing FullName instance

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.